TABS(1)

NAME
tabs - set terminal tabs

SYNOPSIS
tabs [tabspec] [+mn] [-Ttype]

DESCRIPTION
Tabs sets the tabs on a variety of terminals, according to tabspec; if no such argument is present, the default is -8 (set tabulator stops at every eight positions).

The tabspec argument can be one of the following:

-n  Set a tab stop at every n positions. If n is 0, all tab stops are cleared and no new ones are set.

n1,n2, . . .
    Set a tab stop at n1, n2, and any following numbers. A number prefixed by a plus sign is interpreted as an increment to the previous position.

-a  1,10,16,36,72; IBM System/370 Assembler, first format.

-a2 1,10,16,40,72; IBM System/370 Assembler, second format.

-c  1,8,12,16,20,55; COBOL, normal format.

-c2 1,6,10,14,49; COBOL compact format (columns 1–6 omitted).

-c3 1,6,10,14,18,22,26,30,34,38,42,46,50,54,58,62,67; COBOL compact format with additional tabs.

-f  1,7,11,15,19,23; FORTRAN format.

-p  1,5,9,13,17,21,25,29,33,37,41,45,49,53,57,61; PL/1 format.

-s  1,10,55; SNOBOL format.

-u  1,12,20,44; UNIVAC 1100 Assembler format.

--file
    Read the tabulator specifications from the first line of file (if file is omitted, read from standard input). See fspec(5) for the format of the tabulator specification line.

Other arguments are:

-Ttype
    Overrides the default terminal type. Various of the terminal names given in term(7) are recognized.

+mn Sets the left margin to n or, if n is omitted, to 10 (if supported by the terminal). The leftmost margin can be set with +m0. The left margin is not set unless this argument is present.

All operation is performed on standard output.

ENVIRONMENT VARIABLES

TERM
    Specifies the default terminal type.

SEE ALSO
stty(1), fspec(5), term(7)